Scilab Function
Last update : 00/00/0000

modulo - reste arithmétique symétrique modulo m

pmodulo - reste arithmétique positif modulo m

### Calling Sequence

  `i=modulo(n,m)`
  `i=pmodulo(n,m)`

### Parameters

- `n`: entier
- `m`: entier

### Description

`modulo` calcule `i= n (modulo m)` c'est à dire le reste de `n` divisé par `m` (`n` et `m` sont entiers).

i = n - m .* int (n ./ m). Ici la réponse peut être négative si `n` et/ou `m` sont négatifs.

`pmodulo` calcule `i = n - m .* floor (n ./ m)`, la réponse est positive ou nulle.

### Examples

    n=[1,2,10,15];m=[2,2,3,5];
    modulo(n,m)

    modulo(-3,9)
    pmodulo(-3,9)